//=========================================================
// LPC1114 Project
//=========================================================
// File Name : http.h
// Function  : HTTP Server Header
//---------------------------------------------------------
// Rev.01 2012.03.31 Munetomo Maruyama
//---------------------------------------------------------
// Copyright (C) 2010-2012 Munetomo Maruyama
//=========================================================
// ---- License Information -------------------------------
// Anyone can FREELY use this code fully or partially
// under conditions shown below.
// 1. You may use this code only for individual purpose,
//    and educational purpose.
//    Do not use this code for business even if partially.
// 2. You can copy, modify and distribute this code.
// 3. You should remain this header text in your codes
//   including Copyright credit and License Information.
// 4. Your codes should inherit this license information.
//=========================================================
// ---- Patent Notice -------------------------------------
// I have not cared whether this system (hw + sw) causes
// infringement on the patent, copyright, trademark,
// or trade secret rights of others. You have all
// responsibilities for determining if your designs
// and products infringe on the intellectual property
// rights of others, when you use technical information
// included in this system for your business.
//=========================================================
// ---- Disclaimers ---------------------------------------
// The function and reliability of this system are not
// guaranteed. They may cause any damages to loss of
// properties, data, money, profits, life, or business.
// By adopting this system even partially, you assume
// all responsibility for its use.
//=========================================================

#ifndef __HTTP_H__
#define __HTTP_H__

#ifdef __USE_CMSIS
#include "LPC11xx.h"
#endif

//============
// Prototypes
//============
void HTTP_Server(uint8_t ch, uint32_t ip, uint32_t port);
void UARTSend_Byte_Escape(uint8_t ch);
void XBee_Put_Tx_Packet(uint32_t length, uint8_t *buf, uint32_t ip, uint32_t port);
void XBee_Get_Rx_Packet(uint8_t ch);
void Main_HTTP_Server(void);

#endif // __HTTP_H__

//=========================================================
// End of Program
//=========================================================
